Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

Kako razresiti zavisnosti prilikom instalacije Workbench-a?

[es] :: MySQL :: Kako razresiti zavisnosti prilikom instalacije Workbench-a?

[ Pregleda: 1770 | Odgovora: 1 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

biske86
Ivan Biševac
Zubin Potok

Član broj: 62435
Poruke: 979
*.dynamic.isp.telekom.rs.

Sajt: biske.rs


+39 Profil

icon Kako razresiti zavisnosti prilikom instalacije Workbench-a?12.11.2010. u 16:03 - pre 117 meseci
Instalirao sam bazu na CentOS 5.4. i sada sam skinuo Mysql Workbench 5.2.29 za rad sa bazom.
Tacan naziv fajla je mysql-workbench-gpl-5.2.29-1el6.i386.rpm. Kada sam pokrenuo instalaciju sistem je poceo da proverava fajlove i na kraju je javio da ne moze da razresi zavisnosti. Evo i poruke koju sam dobio:

Citat:
Missing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libcrypto.so.10 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libxml2.so.2(LIBXML2_2.6.0) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libgio-2.0.so.0 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libpangomm-1.4.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libmysqlclient_r.so.16 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libatkmm-1.6.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: python-paramiko is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libssl.so.10 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libgdkmm-2.4.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libuuid.so.1(UUID_1.0) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: liblua-5.1.so is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libsigc-2.0.so.0 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libxml2.so.2(LIBXML2_2.4.30) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libpython2.6.so.1.0 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libgiomm-2.4.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libgtkmm-2.4.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libglibmm-2.4.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libzip.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)
Missing Dependency: libcairomm-1.0.so.1 is needed by package mysql-workbench-gpl-5.2.29-1el6.i386 (/mysql-workbench-gpl-5.2.29-1el6.i386)


E sad vidim da recimo za prvi red u zagradi stoji GLIBCXX_3.4.10 i pretpostavljam da taj paket treba da instaliram. Sta je recimo sa drugim fajlom koji nedostaje (libcrypto.so.10)?
Mozete li me uputiti sta da uradim da bi razresio ove zavisnosti?
 
Odgovor na temu

bogdan.kecman
Bogdan Kecman
"specialist"
Oracle
srbistan

Član broj: 201406
Poruke: 15250
*.31.24.217.adsl2.beograd.com.

Sajt: mysql.rs


+2316 Profil

icon Re: Kako razresiti zavisnosti prilikom instalacije Workbench-a?12.11.2010. u 23:31 - pre 117 meseci
CentOS 5.x nije podrzan (kao ni RHEL 5.x) u toj familiji samo RHEL 6

Znam da je RHEL6 jos uvek beta ali je neverovatno zahtevno odrzavati binary na svim distribucijama tako da su sto se rh-a tice podrzani samo RHEL 6 i FEDORA 13 - dakle najnoviji, UBUNTU je podrzan 9.10 i 10.04 a SUSE samo 113. Tim je tako odlucio zato sto je WB "desktop" alat a pretpostavlja se da 90% korisnika na desktopu drze najsveziji sistem (dok se na serveru obicno ne drze neprovereni i beta sistemi poput rhel 6). Jedini nacin da se WB potera na starijim sistemima je da probas da ga iskompajliras sam, mada iskreno, prilicno smoran i dugotrajni posao posto ces morati da kompajliras i gomilu drugih stvari koje u starim sistemima fale (najveci problemi su oko MONO-a)


 
Odgovor na temu

[es] :: MySQL :: Kako razresiti zavisnosti prilikom instalacije Workbench-a?

[ Pregleda: 1770 | Odgovora: 1 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.